<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>polylib: alpha.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>File&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>alpha.c File Reference</h1><code>#include &lt;stdio.h&gt;</code><br/>
<code>#include &lt;<a class="el" href="polylib_8h_source.html">polylib/polylib.h</a>&gt;</code><br/>
<code>#include &lt;stdlib.h&gt;</code><br/>
<code>#include &lt;string.h&gt;</code><br/>

<p><a href="alpha_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="alpha_8c.html#a3a7bf711585ac2e71c8cfab9e3af672b">exist_points</a> (int pos, <a class="el" href="structpolyhedron.html">Polyhedron</a> *Pol, Value *context)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="alpha_8c.html#a5be7eb3e254a2e2e61c50d736b4900de">Polyhedron_Not_Empty</a> (<a class="el" href="structpolyhedron.html">Polyhedron</a> *P, <a class="el" href="structpolyhedron.html">Polyhedron</a> *C, int MAXRAYS)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="alpha_8c.html#a0f28b3a3172da3ef981f4a57c7ead628">PolyhedronLTQ</a> (<a class="el" href="structpolyhedron.html">Polyhedron</a> *Pol1, <a class="el" href="structpolyhedron.html">Polyhedron</a> *Pol2, int INDEX, int PDIM, int NbMaxConstrs)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="alpha_8c.html#abf25c91aa148c825f260e5c8b50fa5b1">GaussSimplify</a> (<a class="el" href="structmatrix.html">Matrix</a> *Mat1, <a class="el" href="structmatrix.html">Matrix</a> *Mat2)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="alpha_8c.html#a682408c0e864140d11fb7b841e5d6654">PolyhedronTSort</a> (<a class="el" href="structpolyhedron.html">Polyhedron</a> **L, unsigned int <a class="el" href="polyparam_8c.html#a76f11d9a0a47b94f72c2d0e77fb32240">n</a>, unsigned int index, unsigned int pdim, int *time, int *pvect, unsigned int MAXRAYS)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a3a7bf711585ac2e71c8cfab9e3af672b"></a><!-- doxytag: member="alpha.c::exist_points" ref="a3a7bf711585ac2e71c8cfab9e3af672b" args="(int pos, Polyhedron *Pol, Value *context)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static int exist_points </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>pos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structpolyhedron.html">Polyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>Pol</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>context</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="alpha_8c_source.html#l00049">49</a> of file <a class="el" href="alpha_8c_source.html">alpha.c</a>.</p>

<p>References <a class="el" href="errormsg_8c_source.html#l00046">errormsg1()</a>, <a class="el" href="polyhedron_8c_source.html#l03805">lower_upper_bounds()</a>, <a class="el" href="types_8h_source.html#l00115">polyhedron::next</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00459">value_assign</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00462">value_clear</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00517">value_increment</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00458">value_init</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00482">value_le</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00481">value_lt</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00549">value_pos_p</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00460">value_set_si</a>, and <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00520">value_subtract</a>.</p>

<p>Referenced by <a class="el" href="alpha_8c_source.html#l00104">Polyhedron_Not_Empty()</a>.</p>

</div>
</div>
<a class="anchor" id="abf25c91aa148c825f260e5c8b50fa5b1"></a><!-- doxytag: member="alpha.c::GaussSimplify" ref="abf25c91aa148c825f260e5c8b50fa5b1" args="(Matrix *Mat1, Matrix *Mat2)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int GaussSimplify </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structmatrix.html">Matrix</a> *&nbsp;</td>
          <td class="paramname"> <em>Mat1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structmatrix.html">Matrix</a> *&nbsp;</td>
          <td class="paramname"> <em>Mat2</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="alpha_8c_source.html#l00384">384</a> of file <a class="el" href="alpha_8c_source.html">alpha.c</a>.</p>

<p>References <a class="el" href="errormsg_8c_source.html#l00046">errormsg1()</a>, <a class="el" href="polyparam_8c_source.html#l00284">n</a>, <a class="el" href="types_8h_source.html#l00092">matrix::NbColumns</a>, <a class="el" href="types_8h_source.html#l00092">matrix::NbRows</a>, <a class="el" href="types_8h_source.html#l00093">matrix::p</a>, <a class="el" href="polyhedron_8c_source.html#l00089">Pol_status</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00529">value_absolute</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00459">value_assign</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00462">value_clear</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00524">value_divexact</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00523">value_division</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00532">value_gcd</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00480">value_ge</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00458">value_init</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00550">value_neg_p</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00556">value_notone_p</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00554">value_notzero_p</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00555">value_one_p</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00528">value_oppose</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00460">value_set_si</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00553">value_zero_p</a>, <a class="el" href="vector_8c_source.html#l00434">Vector_Combine()</a>, <a class="el" href="vector_8c_source.html#l00256">Vector_Exchange()</a>, <a class="el" href="vector_8c_source.html#l00498">Vector_Gcd()</a>, and <a class="el" href="vector_8c_source.html#l00568">Vector_Normalize()</a>.</p>

<p>Referenced by <a class="el" href="polytest_8c_source.html#l00026">main()</a>.</p>

</div>
</div>
<a class="anchor" id="a5be7eb3e254a2e2e61c50d736b4900de"></a><!-- doxytag: member="alpha.c::Polyhedron_Not_Empty" ref="a5be7eb3e254a2e2e61c50d736b4900de" args="(Polyhedron *P, Polyhedron *C, int MAXRAYS)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Polyhedron_Not_Empty </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structpolyhedron.html">Polyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>P</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structpolyhedron.html">Polyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>C</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>MAXRAYS</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="alpha_8c_source.html#l00104">104</a> of file <a class="el" href="alpha_8c_source.html">alpha.c</a>.</p>

<p>References <a class="el" href="types_8h_source.html#l00110">polyhedron::Dimension</a>, <a class="el" href="polyhedron_8c_source.html#l01616">Domain_Free()</a>, <a class="el" href="alpha_8c_source.html#l00049">exist_points()</a>, <a class="el" href="polyhedron_8h_source.html#l00030">POL_ENSURE_FACETS</a>, <a class="el" href="polyhedron_8h_source.html#l00034">POL_ENSURE_VERTICES</a>, <a class="el" href="polyhedron_8c_source.html#l03743">Polyhedron_Scan()</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00462">value_clear</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00458">value_init</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00460">value_set_si</a>, and <a class="el" href="vector_8c_source.html#l00240">Vector_Set()</a>.</p>

<p>Referenced by <a class="el" href="polytest_8c_source.html#l00026">main()</a>.</p>

</div>
</div>
<a class="anchor" id="a0f28b3a3172da3ef981f4a57c7ead628"></a><!-- doxytag: member="alpha.c::PolyhedronLTQ" ref="a0f28b3a3172da3ef981f4a57c7ead628" args="(Polyhedron *Pol1, Polyhedron *Pol2, int INDEX, int PDIM, int NbMaxConstrs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int PolyhedronLTQ </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structpolyhedron.html">Polyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>Pol1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structpolyhedron.html">Polyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>Pol2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>INDEX</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>PDIM</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>NbMaxConstrs</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="alpha_8c_source.html#l00144">144</a> of file <a class="el" href="alpha_8c_source.html">alpha.c</a>.</p>

<p>References <a class="el" href="polyhedron_8c_source.html#l02293">AddConstraints()</a>, <a class="el" href="polyhedron_8c_source.html#l02661">AddRays()</a>, <a class="el" href="types_8h_source.html#l00111">polyhedron::Constraint</a>, <a class="el" href="types_8h_source.html#l00110">polyhedron::Dimension</a>, <a class="el" href="polyhedron_8c_source.html#l01616">Domain_Free()</a>, <a class="el" href="polyhedron_8c_source.html#l02607">DomainIntersection()</a>, <a class="el" href="types_8h_source.html#l00134">emptyQ</a>, <a class="el" href="errormsg_8c_source.html#l00046">errormsg1()</a>, <a class="el" href="matrix_8c_source.html#l00045">Matrix_Alloc()</a>, <a class="el" href="matrix_8c_source.html#l00092">Matrix_Free()</a>, <a class="el" href="matrix_8c_source.html#l00138">Matrix_Print()</a>, <a class="el" href="types_8h_source.html#l00110">polyhedron::NbConstraints</a>, <a class="el" href="types_8h_source.html#l00115">polyhedron::next</a>, <a class="el" href="types_8h_source.html#l00093">matrix::p</a>, <a class="el" href="types_8h_source.html#l00094">matrix::p_Init</a>, <a class="el" href="types_8h_source.html#l00061">P_VALUE_FMT</a>, <a class="el" href="polyhedron_8h_source.html#l00030">POL_ENSURE_FACETS</a>, <a class="el" href="polyhedron_8h_source.html#l00034">POL_ENSURE_VERTICES</a>, <a class="el" href="polyhedron_8c_source.html#l01630">Polyhedron_Print()</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00459">value_assign</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00550">value_neg_p</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00555">value_one_p</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00528">value_oppose</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00549">value_pos_p</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00460">value_set_si</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00553">value_zero_p</a>, and <a class="el" href="vector_8c_source.html#l00240">Vector_Set()</a>.</p>

<p>Referenced by <a class="el" href="polytest_8c_source.html#l00026">main()</a>, and <a class="el" href="alpha_8c_source.html#l00532">PolyhedronTSort()</a>.</p>

</div>
</div>
<a class="anchor" id="a682408c0e864140d11fb7b841e5d6654"></a><!-- doxytag: member="alpha.c::PolyhedronTSort" ref="a682408c0e864140d11fb7b841e5d6654" args="(Polyhedron **L, unsigned int n, unsigned int index, unsigned int pdim, int *time, int *pvect, unsigned int MAXRAYS)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int PolyhedronTSort </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structpolyhedron.html">Polyhedron</a> **&nbsp;</td>
          <td class="paramname"> <em>L</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&nbsp;</td>
          <td class="paramname"> <em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&nbsp;</td>
          <td class="paramname"> <em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&nbsp;</td>
          <td class="paramname"> <em>pdim</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *&nbsp;</td>
          <td class="paramname"> <em>time</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *&nbsp;</td>
          <td class="paramname"> <em>pvect</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&nbsp;</td>
          <td class="paramname"> <em>MAXRAYS</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="alpha_8c_source.html#l00532">532</a> of file <a class="el" href="alpha_8c_source.html">alpha.c</a>.</p>

<p>References <a class="el" href="vector_8c_source.html#l00760">p</a>, <a class="el" href="polyhedron_8h_source.html#l00030">POL_ENSURE_FACETS</a>, <a class="el" href="polyhedron_8h_source.html#l00034">POL_ENSURE_VERTICES</a>, and <a class="el" href="alpha_8c_source.html#l00144">PolyhedronLTQ()</a>.</p>

</div>
</div>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Wed Nov 25 17:45:26 2009 for polylib by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
